
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/polyfills-legacy.DOD0BLH6.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/app-legacy.BLuOCtDn.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/VaultedContact-legacy.CSxAQW5g.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/DeliveryMethodSelectorSection-legacy.BM6eRMbb.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useUnauthenticatedErrorModal-legacy.Bq-TzLGX.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/AmazonPayPCIButton-legacy.BPPgKBY9.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/CheckoutAsGuest-legacy.DTJk2Gk-.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useRefEffect-legacy.B8YZN3F2.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/ShopPayLogo-legacy.B_PYqtEm.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/PickupPointCarrierLogo-legacy.BpIWbIQC.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/hooks-legacy.CG0R8fcY.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/LocalizationExtensionField-legacy.DkpD_PSh.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useShowShopPayOptin-legacy.BxVOpgt5.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/Rollup-legacy.DYtBXqyo.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useShopPayRequiresVerification-legacy.CjqOt9GB.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/Section-legacy.CCL7nJRc.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/GooglePayPCIButton-legacy.B4brnqZ6.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/PayButtonSection-legacy.COAC5H8o.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/RageClickCapture-legacy.DKxUck9b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useInstallmentsErrorHandler-legacy.Cc7tDKe7.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/index-legacy.DzR565eh.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/DutyOptions-legacy.BpgMyZfz.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/SubscriptionPriceBreakdown-legacy.BffQkJEy.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useAmazonContact-legacy.swGe_bRI.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/StockProblemsLineItemList-legacy.63CXGXj9.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useGetBuyWithPrimeCheckoutSessionId-legacy.DfbKo1Gd.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/index-legacy.BffNzatb.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  